# Get list of unique catalog offer promotions

Gets the list of unique catalog offer promotions of a project.

Endpoint: GET /v3/project/{project_id}/admin/unique_catalog_offer
Version: 2.0.0
Security: basicAuth

## Path parameters:

  - `project_id` (integer, required)
    Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com//projects/.
    Example: 44056

## Query parameters:

  - `limit` (integer)
    Limit for the number of elements on the page.
    Example: 50

  - `offset` (integer)
    Number of the element from which the list is generated (the count starts from 0).

## Response 200 fields (application/json):

  - `items` (array)

  - `items.external_id` (string)
    Unique promotion ID. The external_id may contain only lowercase and uppercase Latin alphanumeric characters, periods, dashes, and underscores.

  - `items.promotion_periods` (array)
    Promotion validity periods. If multiple periods are specified, both date_from and date_until are required.

  - `items.promotion_periods.date_from` (string, required)
    Start date for the specified promotion.
    Example: "2020-08-11T10:00:00+03:00"

  - `items.promotion_periods.date_until` (string,null)
    End date for the specified promotion. If set to null, the promotion is indefinite. Can be null only if a single validity period is specified.
    Example: "2020-08-11T20:00:00+03:00"

  - `items.name` (object)
    Name of promotion. Should contain key/value pairs
where key is a locale with "^[a-z]{2}-[A-Z]{2}$" format, value is string.

  - `items.items` (array)
    A list of items SKU that are available after using the unique catalog offer.
    Example: ["booster_mega_1"]

  - `items.is_enabled` (boolean)

  - `items.redeem_total_limit` (integer,null)
    Limits total numbers of coupons.

  - `items.redeem_user_limit` (integer,null)
    Limits total numbers of coupons redeemed by single user.

  - `items.redeem_code_limit` (integer,null)
    Number of redemptions per code.

  - `items.total_limit_state` (object,null)
    Limits for each unique coupon code.

  - `items.total_limit_state.available` (integer)
    The remaining number of times a coupon can be used.
    Example: 3

  - `items.total_limit_state.reserved` (integer)
    The reserved number of a coupon.
    Example: 3

  - `items.total_limit_state.used` (integer)
    The number of times a coupon is used.
    Example: 5

  - `total_promotions_count` (integer)
    Total number of promotions.

  - `active_promotions_count` (integer)
    Number of active promotions.

  - `inactive_promotions_count` (integer)
    Number of deactivated promotions.

## Response 401 fields (application/json):

  - `statusCode` (integer)
    Example: 401

  - `errorCode` (integer)
    Example: 1020

  - `errorMessage` (string)
    Example: "[0401-1020]: Error in Authentication method occurred"


